org.eclipse.rdf4j.rio

## Enum FailureMode

- java.lang.Object
- - java.lang.Enum<FailureMode>
  - - org.eclipse.rdf4j.rio.FailureMode

- All Implemented Interfaces:
    Serializable, Comparable<FailureMode>

      public enum FailureMode
      extends Enum<FailureMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DO_NOT_IGNORE_FAILURE` Helper constant to indicate that test failures for negative tests are being recognised.
    `IGNORE_FAILURE` Helper constant to indicate that test failures for negative tests are being ignored.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `ignoreFailure()`
    `static FailureMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FailureMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IGNORE_FAILURE

          public static final FailureMode IGNORE_FAILURE

      Helper constant to indicate that test failures for negative tests are being ignored.

    - #### DO_NOT_IGNORE_FAILURE

          public static final FailureMode DO_NOT_IGNORE_FAILURE

      Helper constant to indicate that test failures for negative tests are being recognised.

  - ### Method Detail

    - #### values

          public static FailureMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FailureMode c : FailureMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FailureMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### ignoreFailure

          public boolean ignoreFailure()

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.